#
# spec file for package gnome-cups-manager (Version 0.32cvs20060120)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel a2ps aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups cups-client cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs e2fsprogs-devel esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel foomatic-filters freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel ghostscript-mini glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd krb5 krb5-devel less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomecups libgnomecups-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libsmbclient libsmbclient-devel libstdc++ libstdc++-devel libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openslp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-cups-manager
BuildRequires:  cups cups-devel gcc-c++ gnome-common gnutls-devel intltool krb5-devel libglade2-devel libgnomecups-devel libgnomeprintui-devel libgnomeui-devel libsmbclient libsmbclient-devel libwnck-devel mDNSResponder-devel perl-XML-Parser update-desktop-files
Version:        0.32cvs20060120
Release:        33.10
URL:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL
Summary:        GNOME CUPS Printer Manager
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        gnome-cups-manager-novell-branded-test-pages.tar.gz
Source2:        gnome-cups-manager.desktop
Patch0:         suse-smbclient-needs-kerberos.patch
Patch1:         popt-fix.patch
Patch2:         only-once.patch
Patch3:         smb-uri-parser-fix.patch
Patch4:         autodetect-usb-printers.patch
Patch5:         bnc-6238.patch
Patch6:         gnome-cups-manager-suse-lp-group.patch
Patch7:         gnome-cups-manager-154299.patch
Autoreqprov:    on
Requires:       gnome-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CUPS printer manager for GNOME.



%debug_package
%package devel
Group:          System/GUI/GNOME
Summary:        GNOME CUPS Printer Manager
Requires:       %{name} = %{version} libgnomecups-devel glib2-devel gtk2-devel libgnomeui-devel libgnome-devel libglade2-devel libbonobo-devel gnome-keyring-devel

%description devel
CUPS printer manager for GNOME.



%prep
%setup -a 1
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5
%patch6
%patch7 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
sed '/GNOME_COMPILE_WARNINGS/d' configure.in > configure.in.tmp && mv configure.in.tmp configure.in
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
autoreconf -f -i
intltoolize --force --copy
./configure\
	--prefix=/opt/gnome\
	--sysconfdir=/etc/opt/gnome\
	--libdir=/opt/gnome/%{_lib}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/applications
cp %SOURCE2 $RPM_BUILD_ROOT/opt/gnome/share/applications/
ln -s ../icons/hicolor/48x48/stock/io/stock_printers.png $RPM_BUILD_ROOT/opt/gnome/share/pixmaps/
%suse_update_desktop_file gnome-cups-manager X-SuSE-PrintingUtility X-SuSE-ControlCenter-Hardware
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/%{_lib}/*.so.*
/opt/gnome/%{_lib}/bonobo/servers/*
/opt/gnome/bin/*
/opt/gnome/sbin/*
/opt/gnome/share/gnome-cups-manager
/opt/gnome/share/pixmaps/*
/opt/gnome/share/icons/hicolor/48x48/devices/*
/opt/gnome/share/icons/hicolor/48x48/stock/*
/opt/gnome/share/applications/*

%files devel
%defattr (-, root, root)
/opt/gnome/%{_lib}/*.*a
/opt/gnome/%{_lib}/*.so
/opt/gnome/%{_lib}/pkgconfig/*.pc
/opt/gnome/include/libgnomecups-1/libgnomecups/*

%changelog -n gnome-cups-manager
* Tue Jun 06 2006 - lewing@suse.de
- Listen to property changes in the printer properties page.
  (bnc #154299)
* Tue May 23 2006 - joeshaw@suse.de
- Add a patch to allow users who are in the lp group to administer
  printers.  (bnc #162615)
* Fri May 12 2006 - fejj@suse.de
- Added bnc-6238.patch to the build to allow users to install gzipped
  prinetr driver files.
* Thu Apr 13 2006 - sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of illegal old ones.
* Mon Apr 10 2006 - gekker@suse.de
- Remove cups-backends from Requires:, no longer needed
* Thu Apr 06 2006 - fejj@suse.de
- Added autodetect-usb-printers.patch - needed to work around the
  fact that CUPS is broken and doesn't detect newly plugged-in usb
  printers without a restart of the daemon. This patch is needed so
  that available usb printers appear in the gnome-cups-add printer
  list (since we are dropping hal because yast2's printer wizard
  breaks if the user configures some printers via yast2 and some
  via GNOME).
* Mon Apr 03 2006 - joeshaw@suse.de
- Fix "quarter" typo in the US letter test page.  (bnc #9535)
* Thu Mar 30 2006 - fejj@suse.de
- Fixed a crash in smb-uri-parser-fix.patch (bug #161045)
* Mon Mar 27 2006 - danw@suse.de
- Fix a sometimes crash in only-once.patch
* Wed Mar 01 2006 - fejj@suse.de
- Added smb-uri-parser-fix.patch to finish fixing bug #146845
* Thu Feb 23 2006 - fejj@suse.de
- Added only-once.patch to address bug #146845
* Wed Feb 01 2006 - fejj@suse.de
- Added popt-fix.patch to fix a crash parsing args
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - fejj@suse.de
- Removed the uninited.patch since ti is no longer required
* Mon Jan 23 2006 - fejj@suse.de
- Fixed spec file to require cups-backends
* Fri Jan 20 2006 - fejj@suse.de
- Updated to 0.32cvs20060120
* Sun Dec 04 2005 - lmuelle@suse.de
- Revert libsmbclient renameing.
* Mon Nov 14 2005 - lmuelle@suse.de
- Use samba-libs instead of libsmbclient.
* Tue Sep 20 2005 - sbrabec@suse.cz
- Fixed devel dependencies.
* Tue Sep 06 2005 - gekker@suse.de
- Update to version 0.31 (GNOME 2.12)
- Fix use of uninitialized variable
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed desktop Name (#86632).
- Fixed devel requirements.
* Mon May 23 2005 - sbrabec@suse.cz
- Use stock_printers as icon.
* Fri May 20 2005 - sbrabec@suse.cz
- Removed kdesu patch, use gnomesu.
- Added X-Ximian-Settings to desktop file.
* Wed Mar 16 2005 - clahey@suse.de
- Add desktop file for gnome-cups-manager.
* Tue Mar 08 2005 - jody@suse.de
- upstream release of 0.30
- Fix crash during renaming
- fix crash when restarting cupsd
- improve ipp make/model recognition
* Tue Dec 14 2004 - jody@suse.de
- upstream release of 0.28
- rerun intltoolize
- remove the GNOME_WARNINGS that were causing trouble
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Oct 04 2004 - jody@suse.de
- upstream release of 0.27 & 0.26
- No crash on cupsd restart #65946
- Missing emblem for pause and default #63019
- more admin handling #64409, #65660
- become admin button for the printer list #66607
- Cleanup driver and model names #57793
- Avoid race to load connection info #64538
- More translations
* Mon Sep 13 2004 - jody@suse.de
- upstream release of 0.25
- launch prop dialog after creation
- improve layout of connection and driver selection
- only admin can pause/resume
- Improve icon selection
- Only provide status as an option when it makes sense
- Handle translated ppds in some instances
* Tue Aug 24 2004 - jody@suse.de
- upstream release of 0.24
- Finish the connector editor widget
- Improvements to kdesu wrapper
- fix spec file to enable smb browsing
* Wed Aug 18 2004 - jody@suse.de
- upstream release of 0.23
- Patches for 61677, 62247, 62251, 62815, 62814, 61680
- Patches for upstream 149226, 149545, 149546
- There are known issues with smb browsing authenticating too often
* Sat Jul 31 2004 - jody@suse.de
- new release 0.22 with menu patches and improves ipp ids
* Tue Jul 27 2004 - jody@suse.de
- Jump to 0.20 to get the smb patches
* Mon Jul 26 2004 - ro@suse.de
- added missing directory to filelist
* Fri Jul 16 2004 - jody@suse.de
- Testing release of 0.19 to get the browser and layout enhancements
* Tue May 18 2004 - sbrabec@suse.cz
- New SuSE package, version 0.17.
